Eclipse Platform Release 3.7

## org.eclipse.core.expressions
Interface IIterable

    public interface IIterable

Objects that are adaptable to `IIterable` can be used as the default variable in an iterate expression.

Since:
  3.3
See Also:
  `IAdaptable`, `IAdapterManager`

Method Summary
`Iterator` `iterator()` Returns an iterator to iterate over the elements.

Method Detail

### iterator

    Iterator iterator()

  Returns an iterator to iterate over the elements.

  Returns:
    an iterator

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.